/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomCSSValue_H___INT_
#define __GdomCSSValue_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "CSSValue.h"
G_BEGIN_DECLS
class GDOMCSSValue : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_CSS_VALUE; }
    GDOMCSSValue(PassRefPtr<WebCore::CSSValue> impl);
    virtual ~GDOMCSSValue();
    WebCore::CSSValue* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::CSSValue> m_impl;
};
G_END_DECLS

#endif /* __GdomCSSValue_H___INT_*/
